#include <iostream>
using namespace std;
int main()
{
    int x1, y1, x2, y2, br = 0;
    cin >> x1 >> y1;
    cin >> x2 >> y2;
    if ((x1 == x2) || (y1 == y2))
    {
        br = 2;
        cout << br;
    }
    else if (abs(x1 - x2) == abs(y1 - y2))
    {
        br = 1;
        cout << br;
    }
    else cout << br;
   
    return 0;
}